{
  inputs = {
    nixpkgs.url = "nixpkgs/nixos-25.05";
  };
  outputs = {nixpkgs, ...}: let
    system = "x86_64-linux";
    pkgs = nixpkgs.legacyPackages.${system};
  in {
    packages.${system} = {
      default = pkgs.callPackage ./package.nix {};
    };
    devShells.${system} = {
      default = pkgs.mkShell {
        nativeBuildInputs = [
          pkgs.elm2nix
          pkgs.elmPackages.elm
          pkgs.elmPackages.elm-format
          pkgs.elmPackages.elm-json
          pkgs.elmPackages.elm-review
          pkgs.tokei
        ];
        shellHook = ''
          ${pkgs.elmPackages.fetchElmDeps {
            elmPackages = import ./src/elm2nix/elm-srcs.nix;
            elmVersion = "0.19.1";
            registryDat = ./src/elm2nix/registry.dat;
          }}
        '';
      };
    };
  };
}
