module Commands exposing (..)

import Cli exposing (Command, mkCommand)


commands : List Command
commands =
    [ help
    , clear
    , colors
    , cookies
    , debug
    , environment
    , hello
    , todo
    ]


help : Command
help =
    { name = "help"
    , opts =
        [ { name = "command" }
        ]
    , flags = []
    , flagOpts = []
    }
        |> mkCommand


clear : Command
clear =
    { name = "clear"
    , opts = []
    , flags = []
    , flagOpts = []
    }
        |> mkCommand


colors : Command
colors =
    { name = "colors"
    , opts =
        [ { name = "show" }
        ]
    , flags = []
    , flagOpts = []
    }
        |> mkCommand


cookies : Command
cookies =
    { name = "cookies"
    , opts =
        [ { name = "show" }
        ]
    , flags = []
    , flagOpts =
        [ { name = "--keepFont" }
        , { name = "--keepPrompt" }
        , { name = "--keepTheme" }
        ]
    }
        |> mkCommand


debug : Command
debug =
    { name = "debug"
    , opts = []
    , flags = []
    , flagOpts = []
    }
        |> mkCommand


environment : Command
environment =
    { name = "environment"
    , opts =
        [ { name = "show" }
        ]
    , flags = []
    , flagOpts =
        [ { name = "--theme" }
        , { name = "--fontsize" }
        , { name = "--prompt" }
        ]
    }
        |> mkCommand


hello : Command
hello =
    { name = "hello"
    , opts = []
    , flags = []
    , flagOpts = []
    }
        |> mkCommand


todo : Command
todo =
    { name = "todo"
    , opts = []
    , flags = []
    , flagOpts = []
    } |> mkCommand
