module ElmTypes exposing (Model)

import Browser
import Browser.Navigation as Nav
import Cli
import Json.Encode as E
import Url


type alias Model =
    { key : Nav.Key
    , url : Url.Url
    , theme : Theme
    , font : Font
    , cookiesKept : CookiesKept
    , prompt : Prompt
    , content : List (Html Msg)
    , cliContent : String
    }


type Msg
    = LinkClicked Browser.UrlRequest
    | UrlChanged Url.Url
    | TakeInput String
    | NoInitFocus
    | ReceivedStorage E.Value


type alias CommandRunner =
    Model -> List String -> ( Model, Cmd Msg )
