module Types exposing (..)

import Browser
import Browser.Navigation
import Cli
import ElmskellTypes.Generated.Types exposing (..)
import Html.Styled
import Json.Encode
import Url


type Msg
    = LinkClicked Browser.UrlRequest
    | UrlChanged Url.Url
    | TakeInput String
    | NoInitFocus
    | ReceivedStorage Json.Encode.Value


type alias Model =
    { key : Browser.Navigation.Key
    , url : Url.Url
    , theme : Theme
    , font : Font
    , cookiesKept : CookiesKept
    , prompt : Prompt
    , content : List (Html.Styled.Html Msg)
    , cliContent : String
    }


type alias CommandRunner_ =
    Model -> List String -> ( Model, Cmd Msg )


type alias CommandRunner =
    Model -> Cli.FilledCommand -> ( Model, Cmd Msg )
